// ExportInfo.h: interface for the ExportInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXPORTINFO_H__4BC3D163_794E_11D2_8409_00A0C933BCAC__INCLUDED_)
#define AFX_EXPORTINFO_H__4BC3D163_794E_11D2_8409_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ExportInfo  
{
protected:
	float dx,dz,xs,zs;
	int Xpix,Zpix;
	float dy;
	float voff;
public:
	enum BUILDTYPE {BT_SETCON,BT_GSIZE,BT_FREESTYLE};
	BUILDTYPE BType;
	BOOL Display;
	
	ExportInfo();
	
	void	SetScale_Offset(double x, double y, double z, double offset);
	void	SetSizeKM(double x,double z);

	void	GetScale_Offset(double *x, double *y, double *z, double *offset);
	void	GetScale_Offset(float *x, float *y, float *z, float *offset);

	void	GetSizeKM(float *x,float *z);
	void	GetSizeKM(double *x,double *z);
	void	GetSizeM(float *x,float *z);
	void	GetSizeM(double *x,double *z);
	void	SetPixels(int x,int z);
	
	virtual ~ExportInfo();
};

#endif // !defined(AFX_EXPORTINFO_H__4BC3D163_794E_11D2_8409_00A0C933BCAC__INCLUDED_)
